extends Node3D

var anims : Array = ["Talking", "Joke", "Funny", "Cheer"]

func _ready():
	var ra = anims[randi_range(0, anims.size() - 1)]
	$AnimationPlayer.play(ra)


func _on_timer_timeout():
	var ra = anims[randi_range(0, anims.size() - 1)]
	$AnimationPlayer.play(ra)
	$Timer.wait_time = $AnimationPlayer.get_animation(ra).get_length()
